%global gem_name recursive-open-struct

Name: rubygem-%{gem_name}
Version: 1.0.0
Release: 2%{?dist}
Summary: OpenStruct subclass that returns nested hash attributes as RecursiveOpenStructs
Group: Development/Languages
License: MIT
URL: http://github.com/aetherknight/recursive-open-struct
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(release)
Requires: ruby(rubygems) 
BuildRequires: ruby(release)
BuildRequires: rubygems-devel 
BuildRequires: ruby 
# For tests, uncomment once they are available
# BuildRequires: rubygem(pry) 
# BuildRequires: rubygem(rspec) => 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(simplecov) 
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
RecursiveOpenStruct is a subclass of OpenStruct. It differs from
OpenStruct in that it allows nested hashes to be treated in a recursive
fashion. For example:
ros = RecursiveOpenStruct.new({ :a => { :b => 'c' } })
ros.a.b # 'c'
Also, nested hashes can still be accessed as hashes:
ros.a_as_a_hash # { :b => 'c' }.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
gem unpack %{SOURCE0}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec

%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm -f %{buildroot}%{gem_instdir}/{.gitignore,.travis.yml,.rspec,.document}


# Run the test suite
%check
pushd .%{gem_instdir}
# Uuncomment once are requirements are available
#rspec -Ilib spec
popd

%files
%license %{gem_instdir}/LICENSE.txt
%dir %{gem_instdir}
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/spec/

%changelog
* Thu Sep 22 2016 Rich Megginson <rmeggins@redhat.com> - 1.0.0-2
- bump rel to rebuild

* Fri Sep 16 2016 Rich Megginson <rmeggins@redhat.com> - 1.0.0-1
- update to 1.0.0

* Tue Sep 08 2015 Troy Dawson <tdawson@redhat.com> - 0.6.5-1
- Initial package
